import { MidwayConfig } from '@midwayjs/core';

export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1715577385578_8567',
  koa: {
    port: 19700,
  },
  jwt: {
    secret: 'Ziyouyanfa!@#',
    expiresIn: 3600, // 3600
  },
  i18n: {
    defaultLocale: 'zh-cn',
    fallbacks: {
      'en*': 'en_us',
      'zh*': 'zh-cn',
    },
    // 后期可以设置成数据库添加的方式
    localeTable: {
      en_us: {
        default: require('../locales/en_us/defaults'),
      },
      zh_cn: {
        default: require('../locales/zh_cn/defaults'),
        LoginError: require('../locales/zh_cn/error/LoginError'),
      },
    },
  },
} as MidwayConfig;
