import { MidwayConfig } from '@midwayjs/core';
const redisHost = '127.0.0.1';
const redisPwd = '123456';
const redisDB = 6;
export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1715577385578_8567',
  koa: {
    port: 19700,
  },
  axios: {
    clients: {
      // key则为路由前缀
      '/cxyy/api': {
        baseURL: 'http://127.0.0.1:9700',
      },
      '/test/api': {
        baseURL: 'http://127.0.0.1:9701',
      },
    },
  },
  redis: {
    client: {
      port: 6379, // Redis port
      host: redisHost, // Redis host
      password: redisPwd,
      db: redisDB,
    },
  },
} as MidwayConfig;
