import { MidwayError, registerErrorCode } from '@midwayjs/core';
// 需保持一致的标识,具体看error的readme
const code = 'LoginError';

export enum LoginErroCode {
  TEST = 'TEST',
}
export const FrameworkErrorEnum = registerErrorCode(code, LoginErroCode);

export class LoginError extends MidwayError {
  detail: any;
  group: string;
  constructor(errcode: string) {
    super(errcode);
    this.group = code;
  }
}
